Bug 7294 - [UPDATE REQUEST] GIMP 2.8.16 → 2.8.18
: [UPDATE REQUEST] GIMP 2.8.16 → 2.8.18
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-24 21:27 MSD by Алзим
Modified: 2016-09-13 11:59 MSD (History)
4 users (show)

See Also:
RPM Package: gimp
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
GEGL errors on start (2 bytes, text/x-log)
2016-08-25 13:11 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2016-08-24 21:27:28 MSD
Advisory: «New version 2.8.18»

https://abf.io/build_lists/2709308
https://abf.io/build_lists/2709309
Comment 1 Vladimir Potapov 2016-08-25 13:11:16 MSD
Created attachment 4524 [details]
GEGL errors on start

It's no regression but may be gegl and babl need update to current GIMP
Comment 3 Vladimir Potapov 2016-08-26 06:44:20 MSD
gimp fail on start with new gegl
gimp: symbol lookup error: gimp: undefined symbol: gegl_param_multiline_get_type
Comment 4 Vladimir Potapov 2016-08-26 06:47:17 MSD
(In reply to comment #3)
> gimp fail on start with new gegl
> gimp: symbol lookup error: gimp: undefined symbol:
> gegl_param_multiline_get_type

https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1603501
Comment 5 Алзим 2016-08-26 15:22:51 MSD
Всё вместе:

Просто обновлённый babl:
https://abf.io/build_lists/2709420
https://abf.io/build_lists/2709419

Пропатченный gegl:
https://abf.io/build_lists/2709568
https://abf.io/build_lists/2709569

Пересобранный gimp с пропатченным gegl:
https://abf.io/build_lists/2709573
https://abf.io/build_lists/2709574
Comment 6 Vladimir Potapov 2016-08-26 16:28:03 MSD
Теперь GIMP стартует, но ошибка сохранилась и если в меню выбрать "Операция GEGL" то ничего не происходит.
Comment 7 Алзим 2016-08-26 18:11:55 MSD
GIMP по-умолчанию должен работать с gegl версии 0.2.х.
В Росе версии gegl намного новее.
Я глубоко сомневаюсь, что кто-то будет откатывать gegl на древнюю версию.
Может, кто согласиться собрать версию gegl 0.2.х отдельно, но это уже не ко мне.
Comment 8 Vladimir Potapov 2016-09-08 08:52:21 MSD
(In reply to comment #0)
> Advisory: «New version 2.8.18»
> 
> https://abf.io/build_lists/2709308
> https://abf.io/build_lists/2709309

Раз обновления babl-gegl не решают проблемы - не будем их пока обновлять чтоб не отвалилось что-нибудь, отправлю первый GIMP

The update is sent to expanded testing
***************************************
Comment 9 Denis Silakov 2016-09-08 14:24:20 MSD
*** Bug 7182 has been marked as a duplicate of this bug. ***
Comment 10 Алзим 2016-09-09 13:15:35 MSD
Исправленный GIMP:

https://abf.io/build_lists/2712265
https://abf.io/build_lists/2712266
Comment 11 Vladimir Potapov 2016-09-09 13:30:29 MSD
(In reply to comment #10)
> Исправленный GIMP:
> 
> https://abf.io/build_lists/2712265
> https://abf.io/build_lists/2712266
почему-то не видно исправления, все так же ошибки при старте и из меню gegl не работает.
Comment 12 Алзим 2016-09-09 16:01:36 MSD
Пересобранный новый GEGL:

https://abf.io/build_lists/2712281
https://abf.io/build_lists/2712282

И с новым GEGL собранный GIMP:

https://abf.io/build_lists/2712285
https://abf.io/build_lists/2712286
Comment 13 Vladimir Potapov 2016-09-12 18:36:40 MSD
(In reply to comment #12)
> Пересобранный новый GEGL:
> 
> https://abf.io/build_lists/2712281
> https://abf.io/build_lists/2712282
> 
> И с новым GEGL собранный GIMP:
> 
> https://abf.io/build_lists/2712285
> https://abf.io/build_lists/2712286

Не помогает :-(
Comment 14 Vladimir Potapov 2016-09-12 18:37:46 MSD
gimp-2.8.18-1
https://abf.io/build_lists/2709308
https://abf.io/build_lists/2709309
************************ Advisory **********************
Fix CVE-2016-4994
********************************************************
QA Verified